## org.eclipse.datatools.sqltools.sqlbuilder.views
Class NavigableTableViewer

    java.lang.Object
      org.eclipse.jface.viewers.Viewer
          org.eclipse.jface.viewers.ContentViewer
              org.eclipse.jface.viewers.StructuredViewer
                  org.eclipse.jface.viewers.ColumnViewer
                      org.eclipse.jface.viewers.AbstractTableViewer
                          org.eclipse.jface.viewers.TableViewer
                              org.eclipse.datatools.sqltools.sqlbuilder.views.NavigableTableViewer

All Implemented Interfaces:
  org.eclipse.jface.viewers.IInputProvider, org.eclipse.jface.viewers.IInputSelectionProvider, org.eclipse.jface.viewers.IPostSelectionProvider, org.eclipse.jface.viewers.ISelectionProvider

Direct Known Subclasses:
  CaseSearchTable, CaseSimpleTable, CriteriaGridViewer, ExpressionsTable, FullSelectGridViewer, FullSelectOrderViewer, GridViewer, ParameterTableViewer, ParamTable, ValuesRowViewer.ValuesGridViewer

    public class NavigableTableViewer

extends org.eclipse.jface.viewers.TableViewer

Field Summary
`static java.lang.String` `copyright`

Constructor Summary
`NavigableTableViewer(org.eclipse.swt.widgets.Table parent)`

Method Summary
`TableNavigator` `getNavigator()`
`void` `refresh()`
`void` `setCellEditors(org.eclipse.jface.viewers.CellEditor[] editors)`

Methods inherited from class org.eclipse.jface.viewers.TableViewer
`getControl, getTable, refresh, refresh, setSelection`

Methods inherited from class org.eclipse.jface.viewers.AbstractTableViewer
`add, add, clear, getElementAt, getLabelProvider, insert, remove, remove, replace, reveal, setItemCount`

Methods inherited from class org.eclipse.jface.viewers.ColumnViewer
`cancelEditing, editElement, getCell, getCellEditors, getCellModifier, getColumnProperties, getColumnViewerEditor, getLabelProvider, isBusy, isCellEditorActive, refresh, refresh, setCellModifier, setColumnProperties, setColumnViewerEditor, setLabelProvider, update`

Methods inherited from class org.eclipse.jface.viewers.StructuredViewer

`addDoubleClickListener, addDragSupport, addDropSupport, addFilter, addOpenListener, addPostSelectionChangedListener, getComparator, getComparer, getFilters, getSelection, getSorter, refresh, removeDoubleClickListener, removeFilter, removeOpenListener, removePostSelectionChangedListener, resetFilters, setComparator, setComparer, setContentProvider, setFilters, setInput, setSorter, setUseHashlookup, testFindItem, testFindItems, update`

Methods inherited from class org.eclipse.jface.viewers.ContentViewer
`getContentProvider, getInput`

Methods inherited from class org.eclipse.jface.viewers.Viewer
`addHelpListener, addSelectionChangedListener, getData, removeHelpListener, removeSelectionChangedListener, scrollDown, scrollUp, setData, setSelection`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.viewers.ISelectionProvider
`addSelectionChangedListener, removeSelectionChangedListener, setSelection`

Field Detail

### copyright

    public static final java.lang.String copyright

See Also:
  Constant Field Values

Constructor Detail

### NavigableTableViewer

    public NavigableTableViewer(org.eclipse.swt.widgets.Table parent)

Method Detail

### setCellEditors

    public void setCellEditors(org.eclipse.jface.viewers.CellEditor[] editors)

  Overrides:
    `setCellEditors` in class `org.eclipse.jface.viewers.ColumnViewer`

### refresh

    public void refresh()

  Overrides:
    `refresh` in class `org.eclipse.jface.viewers.StructuredViewer`

### getNavigator

    public TableNavigator getNavigator()

  Returns:
    Returns the navigator.